|  | Home · All Classes · Modules

# QPageSetupDialog Class Reference
[QtGui module]

The QPageSetupDialog class provides a configuration dialog for the page-related options on a printer. More...

Inherits QDialog.

### Methods

- __init__ (self, QPrinter printer, QWidget parent = None)
- int exec_ (self)
- QPrinter printer (self)

## Detailed Description

The QPageSetupDialog class provides a configuration dialog for the page-related options on a printer.

On Windows and Mac OS X the page setup dialog is implemented using the native page setup dialogs.

See also QPrinter and QPrintDialog.

## Method Documentation

### QPageSetupDialog.__init__ (self, QPrinter printer, QWidget parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs a page setup dialog that configures printer with parent as the parent widget.

### int QPageSetupDialog.exec_ (self)

### QPrinter QPageSetupDialog.printer (self)

Returns the printer that was passed to the QPageSetupDialog constructor.